libzypp 17.37.10

Table.h File Reference
`#include <iostream>`
`#include <sstream>`
`#include <string>`
`#include <iosfwd>`
`#include <set>`
`#include <list>`
`#include <vector>`
`#include <boost/any.hpp>`
`#include <zypp/base/String.h>`
`#include <zypp/base/Exception.h>`
`#include <zypp/sat/Solvable.h>`
`#include <zypp/ui/Selectable.h>`
`#include <zypp-tui/utils/ansi.h>`
`#include <zypp-tui/utils/colors.h>`

Go to the source code of this file.

## Classes
struct | ztui::ctcdetail::ColumnIf< Tif_, Telse_ >
| Remember either _if or _else function. More...
struct | ztui::ctcdetail::ColumnIf< Tif_, Tif_ >
| Specialization both functions return the same type. More...
class | ztui::TableRow
class | ztui::TableHeader
struct | ztui::TableRow::Less
class | ztui::Table
struct | ztui::table::Column
| Table column style setter. More...
class | ztui::PropertyTable
| Aligned key/value with multiline support Key : value 1 LongKey : value 2 Multiline : line 1 line 2 Next Key : value 3. More...

## Namespaces
namespace | ztui
namespace | ztui::csidetail
namespace | ztui::ctcdetail
namespace | ztui::table

## Typedefs
using | ztui::SolvableCSI = std::pair<zypp::sat::Solvable, zypp::ui::Selectable::picklist_size_type>
| Custom sort index type for table rows representing solvables (like detailed search results).

## Enumerations
enum | ztui::TableLineStyle { ztui::Ascii = 0 , ztui::Light , ztui::Heavy , ztui::Double , ztui::Light3 , ztui::Heavy3 , ztui::LightHeavy , ztui::LightDouble , ztui::HeavyLight , ztui::DoubleLight , ztui::Colon , ztui::none , ztui::TLS_End }
| table drawing style More...
enum class | ztui::table::CStyle { ztui::table::Default = 0 , ztui::table::Edition , ztui::table::SortCi }
| Table column styles. More...

## Functions
const char * | ztui::asYesNo (bool val_r)
template<typename T>
int | ztui::csidetail::simpleAnyTypeComp (const boost::any &l_r, const boost::any &r_r)
| Default comparator for custom sort indices (std::compare semantic).
template<>
int | ztui::csidetail::simpleAnyTypeComp< SolvableCSI > (const boost::any &l_r, const boost::any &r_r)
template<class Tif_, class Telse_>
auto | ztui::ColumnIf (bool condition_r, Tif_ &&if_r, Telse_ &&else_r) -> ctcdetail::ColumnIf< decltype(if_r()), decltype(else_r())>
| Conditional Table column factory.
template<class Tif_>
auto | ztui::ColumnIf (bool condition_r, Tif_ &&if_r) -> ctcdetail::ColumnIf< decltype(if_r()), decltype(if_r())>
template<class Tp_>
TableRow && | ztui::operator<< (TableRow &&tr, Tp_ &&val)
template<class Tif_, class Telse_>
TableRow & | ztui::operator<< (TableRow &tr, const ctcdetail::ColumnIf< Tif_, Telse_ > &val)
template<class Tif_, class Telse_>
TableRow & | ztui::operator<< (TableRow &tr, ctcdetail::ColumnIf< Tif_, Telse_ > &val)
template<class Tif_, class Telse_>
TableRow & | ztui::operator<< (TableRow &tr, ctcdetail::ColumnIf< Tif_, Telse_ > &&val)
template<class Tif_>
TableRow & | ztui::operator<< (TableRow &tr, const ctcdetail::ColumnIf< Tif_, Tif_ > &val)
template<class Tif_>
TableRow & | ztui::operator<< (TableRow &tr, ctcdetail::ColumnIf< Tif_, Tif_ > &val)
template<class Tif_>
TableRow & | ztui::operator<< (TableRow &tr, ctcdetail::ColumnIf< Tif_, Tif_ > &&val)
template<class Tp_>
TableHeader && | ztui::operator<< (TableHeader &&th, Tp_ &&val)
Table & | ztui::operator<< (Table &table, TableRow tr)
Table & | ztui::operator<< (Table &table, TableHeader tr)
std::ostream & | ztui::operator<< (std::ostream &stream, const Table &table)